template <typename T, int DIM>
struct ExactSolution :  public Operator::MapReduce<T, T, DIM>
{

  ExactSolution () {} 

  void init(Context& context) {

    Tuple<DIM> position = context.position_;
    if (position[0] == 1) 
  }

  void map_none(T& val, Tuple<DIM>& pos) {
    int xi = pos[0];
    int eta = pos[1];
    int zeta = pos[2];
    for (int i = 0; i < 5; i++) {
      val(i)= ce(i,1) + ...
	xi * (ce(i,2) + xi*(ce(i,5) + xi*(ce(i,8) + xi*ce(i,11)))) + 
	eta*(ce(i,3) + eta*(ce(i,6) + eta*(ce(i,9) + eta*ce(i,12)))) +
	zeta*(ce(i,4) + zeta*(ce(i,7) + zeta*(ce(i,10) + zeta*ce(i,13))));
    }
  }
  
};
