#!/usr/bin/perl

open(OUTPUT, $ARGV[0]) or die( "Error: can open file $SCRATCH" );
$comment = 0;
$ifdef = 0;
while( $aline = <OUTPUT> ){
    #remove C style spanning comments and #ifdefs
    if ($aline =~ /^\ *\/\*.*/) {
	$comment = 1;
    }
    if ($aline =~ /^\ *\#if.*/) {
        $ifdef = 1;
    }
    if ($comment == 1 && $aline =~ /\*\/\ *$/) {
	$comment = 0;  
        next;
    } 
    if ($ifdef == 1 && $aline =~ /\#endif/) {
	$ifdef = 0;  
        next;
    }
    if ($comment==0 && $ifdef==0) {
	$inputline = $inputline.$aline;
    }
}
#   $inputline =~ s/\n\ +/\n/g;
# remove one line C Style and C++ style comments
$inputline =~ s/\/\*.*?\*\///g;
$inputline =~ s/\/\*\n.*\n\*\///g;
$inputline =~ s/\/\/.*\n//g;  
# make extra spaces to be one (again)
$inputline =~ s/,\ */, /g;
$inputline =~ s/,\ *[\t]*/, /g;
$inputline =~ s/\ *,/ ,/g;
$inputline =~ s/\ *[\t]*,/ ,/g;
# remove extra newlines
$inputline =~ s/\n+/\n/g;
$inputline =~ s/\n\ +\n/\n/g;
$inputline =~ s/\(\ *\n/\(/g;
$inputline =~ s/,\ *\n/,/g;
# make extra spaces to be one (again)
$inputline =~ s/,\ */, /g;
$inputline =~ s/,\ *[\t]*/, /g;
$inputline =~ s/\ *,/ ,/g;
$inputline =~ s/\ *[\t]*,/ ,/g;
#remove declarations
$inputline =~ s/(static)*(HTA_1H_DENSE|Grid|double|int|char|float|void)[*]*\ *[a-zA-Z0-9_]*([,=][a-zA-Z0-9_]*)*;\n//g;
#remove print stmts
$inputline =~ s/cout.*;\ *\n//g;
# remove timings 
$inputline =~ s/timer_start.*\n//g;
$inputline =~ s/timer_stop.*\n//g;
$inputline =~ s/timer_read.*\n//g;
#remove #include 
$inputline =~ s/\#include.*\n//g;
$inputline =~ s/\#define.*\n//g;
$inputline =~ s/typedef.*\n//g;
print $inputline
    
