% format = [ computation communication hta-creation/decomposition];
mLOC = [  40       8     20;  %CG htalib
        140      39    145;  %CG MPI
          0       0      0;
        250      70     30;  %MG htalib
        354     574    113]; %MG MPI

bar(mLOC, 'stacked');
legend('Computation', 'Communication', 'Data Decomposition', 2);
g = gca;
set(g, 'FontWeight', 'bold');
set(g, 'FontSize', 16);
ylabel('Lines of code');
xlabel('Benchmarks');
set(gca,'XTickLabel', ['CG HTA'; 'CG MPI'; '      '; 'MG HTA'; 'MG MPI']);

%set(g, 'XTick', 1.5:1.5:4.5);
%set(g, 'XTicklabel', ['CG'; '  '; 'MG']);
%i = 1;
%for k=1:2 
%  g = text(i,sum(LOC(i,:))+40,'HTA');
%  set(g, 'FontWeight', 'bold');
%  set(g, 'FontSize', 12);
%  g = text(i+1,sum(LOC(i+1,:))+40,'MPI');
%  set(g, 'FontWeight', 'bold');
%  set(g, 'FontSize', 12);
%  i = i + 3;
%end
