/*********************************************************************/
/*                     I.B.M. CONFIDENTIAL                           */
/*      (c) COPYRIGHT IBM CORP. 2005 ALL RIGHTS RESERVED.            */
/*                                                                   */
/*                LICENSED MATERIALS-PROPERTY OF IBM.                */
/*                                                                   */
/*********************************************************************/

/*
 * Version: $Id: Test_Triplet.cpp,v 1.1 2005/10/21 14:42:36 vonpraun Exp $
 * Authors: Ganesh Bikshandi
 */


/* Description:
   Test the Triplet class.
   Test the "size" of Triplet.
   Test the decreasing Triplet.
   "print" it and check by eyes.
*/

#include <cassert>
#include <iostream>
#include "Triplet.h"

#define TESTNAME "Triplet"
#ifdef NDEBUG
#error Testing with NDEBUG is meaningless.
#endif

using namespace std;

int main( int argc, char** argv){
     
     
  Triplet a(1,10);
  Triplet b(10,1,-1);
  Triplet c(1,10,2);
  Triplet d(10,1,-2);

  assert(a.size()==10);
  assert(b.size()==10);
  assert(c.size()==5);
  assert(d.size()==5);

  cout << a << endl;
  cout << b << endl;
  cout << c << endl;
  cout << d << endl;

  cout << TESTNAME << "PASSED" << endl;
}

