#include "bt.h"

typedef HTA<double, 3, 0>::HTA_0H;
typedef HTA<double, 3, 1>::HTA_1H;
typedef HTA<double, 3, 2>::HTA_2H;

typedef Shape<3>::iterator siter;
typedef HTA_0H::iterator hiter0;
typedef HTA_1H::iterator hiter1;
typedef HTA_2H::iterator hiter2;

int main() {

  HTA_2H rhs = HTA_2H::allocShell(T(p1, p2, p3)) ;

  HTA_2H forcing = HTA_2H::allocShell(T(p1, p2, p3)) ;

  HTA_2H qs = HTA_2H::allocShell(T(p1, p2, p3)) ;

  HTA_2H square = HTA_2H::allocShell(T(p1, p2, p3)) ;

  HTA_2H lhs = HTA_2H::allocShell(T(p1, p2, p3)) ;

  HTA_2H u = HTA_2H::allocShell(T(p1, p2, p3)) ;

  HTA_2H uexact = HTA_2H::allocShell(T(p1, p2, p3)) ;

  ExactSolution<double, 3> exactSolution;
  u.mapReduce(exactSolution);

  return 0;
}




