#include "npbparams.h"
#include "Traits.h"

#ifdef HTA_TRAIT

#if (HTA_TRAIT == HTA_TRAIT_SERIAL)
#include "htalib_serial.h"
#else

#if (HTA_TRAIT == HTA_TRAIT_UPC)
#include "htalib_upc.h"
#else

#if (HTA_TRAIT == HTA_TRAIT_SPARSE)
#include "htalib_sparse.h"
#else

#if (HTA_TRAIT == HTA_TRAIT_MPI)
#include "htalib_mpi.h"
/* #define dense 1 */
#else

#error "HTA_TRAIT not properly defined: 1=serial 2=upc 3=sparse 4=mpi"

#endif /* HTA_TRAIT == 4 */
#endif /* HTA_TRAIT == 3 */
#endif /* HTA_TRAIT == 2 */
#endif /* HTA_TRAIT == 1 */

#else

#error "HTA_TRAIT not defined"
#endif /* HTA_TRAIT */


double randlc (double*, double);
