
#!/bin/sh
echo "Generating the doxygen documentation"
echo "The script assumes the doxygen package is already available"

doxygen htalib.dox
if [ $? -ne 0 ]; then
   echo "Error:: it seems that doxygen is not available" 
   exit 1
fi

echo "======================================"
echo "Documentation is available in"
echo "   htalib/doc/html"
